GET
/channels/{channelArn}/messages/{messageId}
http://service.chime.aws.amazon.com/channels/{channelArn}/messages/{messageId}<p>Gets the full details of a channel message.</p> <note> <p>The x-amz-chime-bearer request header is mandatory. Use the <code>AppInstanceUserArn</code> of the user that makes the API call as the value in the header.</p> </note>
Access Token Required: API Key
Path Parameters
channelArnstringrequired
The ARN of the channel.
messageIdstringrequired
The ID of the message.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'http://service.chime.aws.amazon.com/channels/{channelArn}/messages/{messageId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}